package polling_station_dashboard.java;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;
import polling_station_dashboard.statusLog.java.StatusLogLoader;
import polling_station_dashboard.settings.java.settingsLoader;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 28/05/2016
 * This class loads the polling station fxml
 */
public class PollingStationDashboardLoader {

    private static final String POLLING_STATION_DASHBOARD_FXML_PATH = "../fxml/polling_station_dashboard.fxml";

    private Stage currentStage;

    public PollingStationDashboardLoader (Stage primaryStage) throws IOException
    {
        primaryStage.setX(100);
        primaryStage.setY(100);

        currentStage = primaryStage;
        FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource(POLLING_STATION_DASHBOARD_FXML_PATH));
        Parent root = fxmlLoader.load();
        PollingStationDashboardController controller = fxmlLoader.getController();

        currentStage.setTitle("Polling Station Dashboard");
        currentStage.setScene(new Scene(root, 850, 615));
        currentStage.show();

        // create the status log object
        StatusLogLoader statusLogLoader = new StatusLogLoader(currentStage, controller);
        controller.SetStage(currentStage);
        controller.SetStatusLog(statusLogLoader.GetStatusLogInstance());

        // create the settings object
        settingsLoader settingsLoader = new settingsLoader(currentStage, controller);
        controller.SetSettings(settingsLoader.GetSettingsInstance());

    }
}
