package polling_station_dashboard.settings.java;

import javafx.fxml.FXMLLoader;
import javafx.scene.layout.GridPane;
import javafx.stage.Stage;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 04/06/2016.
 * Loads the settings fxml file
 */
public class settingsLoader {

    private static final String SETTINGS_FXML_PATH = "../fxml/settings.fxml";

    private Stage currentStage;
    private FXMLLoader fxmlLoader;
    private SettingsUpdate settingsUpdater;

    public settingsLoader(Stage primaryStage, SettingsUpdate updater) throws IOException
    {
        currentStage = primaryStage;
        settingsUpdater = updater;
        fxmlLoader = new FXMLLoader(getClass().getResource(SETTINGS_FXML_PATH));
    }

    public GridPane GetSettingsInstance() throws IOException {
        GridPane settings = fxmlLoader.load();
        settingsController controller = fxmlLoader.getController();
        controller.SetStage(currentStage);
        controller.SetSettingsUpdate(settingsUpdater);

        return settings;
    }
}
